<form style="direction: rtl;">
  <h2 mat-dialog-title>موسیقی</h2>
  <mat-dialog-content style="display: flex; flex-direction: column;">
    <div style="display: flex;">
      <div style="flex:1; display: flex; flex-direction: column;">
        <mat-form-field>
          <input matInput required name="song.name" [(ngModel)]="song.name" placeholder="نام موسیقی">
        </mat-form-field>
        <mat-form-field>
          <input matInput required name="song.shaaer" [(ngModel)]="song.shaaer" placeholder="شاعر">
        </mat-form-field>
        <mat-form-field>
          <input matInput required name="song.ahangsaz" [(ngModel)]="song.ahangsaz" placeholder="آهنگساز">
        </mat-form-field>
      </div>
      <div style="flex:1; display: flex; flex-direction: column; margin-right: 16px;">
        <mat-form-field>
          <input matInput required name="song.tahiekonande" [(ngModel)]="song.tahiekonande" placeholder="تهیه کننده">
        </mat-form-field>
        <mat-form-field>
          <input matInput required name="song.tag" [(ngModel)]="song.tag" placeholder="تگ موسیقی">
        </mat-form-field>
        <mat-form-field>
          <input matInput required name="song.time_by_sec" type="number" [(ngModel)]="song.time_by_sec" placeholder="زمان موسیقی">
        </mat-form-field>
      </div>
    </div>
    <mat-form-field class="example-full-width">
      <textarea matInput required name="song.lyrics" rows="6" [(ngModel)]="song.lyrics" placeholder="متن موسیقی"></textarea>
    </mat-form-field>
  </mat-dialog-content>
  <mat-card-actions>
    <button mat-button style="background-color: rgb(240, 240, 240); color:white; margin-left: 16px;" mat-dialog-close>انصراف</button>
    <button mat-button style="background-color: #14A27D; color:white;" [mat-dialog-close]="song">ثبت</button>
  </mat-card-actions>
</form>